Red Hat subscription manager fails: status 503

Latest response

The error is

Server error attempting a PUT to /subscription/consumers/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/profiles returned status 503

The system is fully registered with Red Hat and fully updated.

Ideas?

subscription-manager list --available

Traceback (most recent call last):
File "/usr/lib64/python3.6/site-packages/subscription_manager/cache.py", line 173, in update_check
self._sync_with_server(uep, consumer_uuid)
File "/usr/lib64/python3.6/site-packages/subscription_manager/cache.py", line 506, in _sync_with_server
_combined_profile
File "/usr/lib64/python3.6/site-packages/rhsm/connection.py", line 1187, in updateCombinedProfile
return self.conn.request_put(method, profile)
File "/usr/lib64/python3.6/site-packages/rhsm/connection.py", line 735, in request_put
return self._request("PUT", method, params, headers=headers)
File "/usr/lib64/python3.6/site-packages/rhsm/connection.py", line 752, in _request
info=info, headers=headers)
File "/usr/lib64/python3.6/site-packages/rhsm/connection.py", line 627, in _request
self.validateResponse(result, request_type, handler)
File "/usr/lib64/python3.6/site-packages/rhsm/connection.py", line 695, in validateResponse
handler=handler)
rhsm.connection.RemoteServerException: Server error attempting a PUT to /subscription/consumers/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx/profiles returned status 503

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/sbin/subscription-manager", line 11, in
load_entry_point('subscription-manager==1.26.17', 'console_scripts', 'subscription-manager')()
File "/usr/lib64/python3.6/site-packages/subscription_manager/scripts/subscription_manager.py", line 87, in main
return managercli.ManagerCLI().main()
File "/usr/lib64/python3.6/site-packages/subscription_manager/managercli.py", line 2996, in main
ret = CLI.main(self)
File "/usr/lib64/python3.6/site-packages/subscription_manager/cli.py", line 183, in main
return cmd.main()
File "/usr/lib64/python3.6/site-packages/subscription_manager/managercli.py", line 536, in main
return_code = self.do_command()
File "/usr/lib64/python3.6/site-packages/subscription_manager/managercli.py", line 2640, in _do_command
after_date=after_date,
File "/usr/lib64/python3.6/site-packages/rhsmlib/services/entitlement.py", line 325, in get_available_pools
after_date=after_date,
File "/usr/lib64/python3.6/site-packages/subscription_manager/managerlib.py", line 327, in get_available_entitlements
overlapping, uninstalled, text, filter_string, future=future, after_date=after_date)
File "/usr/lib64/python3.6/site-packages/subscription_manager/managerlib.py", line 539, in get_filtered_pools_list
filter_string=filter_string, future=future, after_date=after_date):
File "/usr/lib64/python3.6/site-packages/subscription_manager/managerlib.py", line 282, in list_pools
profile_mgr.update_check(uep, consumer_uuid)
File "/usr/lib64/python3.6/site-packages/subscription_manager/cache.py", line 468, in update_check
return CacheManager.update_check(self, uep, consumer_uuid, force)
File "/usr/lib64/python3.6/site-packages/subscription_manager/cache.py", line 183, in update_check
raise Exception(
("Error updating system data on the server, see /var/log/rhsm/rhsm.log "
Exception: Error updating system data on the server, see /var/log/rhsm/rhsm.log for more details.

Responses

I'm seeing this same error while trying to register a host direct with CDN.

There are certain servers where I also observe a similar behavior. Do we have a fix?

I am also seeing this issue in our automation since Friday AM.

I had re-registered the systems in the best clean way, however it seems this is persistent. Appears to be some issue. However the servers reporting these are being patched on regular basis.

So someone from Redhat needs to help us to understand the same.

We had a service outage over the weekend but everything is resolved as of 16 August, around noon ET. If you're still having issues please reply here with details.

Apologies for the inconvenience. We had a service outage over the weekend but everything has been resolved If you're still having issues please reply here with details.

@Todd Pfommer The issue seems to be resolved. Thanks for your note.